picard.illumina.parser

## Class TileMetricsUtil

- java.lang.Object
- - picard.illumina.parser.TileMetricsUtil

-     public class TileMetricsUtil
      extends Object

  Utility for reading the tile data from an Illumina run directory's TileMetricsOut.bin file

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INTEROP_SUBDIRECTORY_NAME` The path to the directory containing the tile metrics file relative to the basecalling directory.
    `static String` | `TILE_METRICS_OUT_FILE_NAME` The expected name of the tile metrics output file.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileMetricsUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Collection<Tile>` | `parseTileMetrics(File tileMetricsOutFile, ReadStructure readStructure)` Returns an unmodifiable collection of tile data read from the provided file.
    `static File` | `renderTileMetricsFileFromBasecallingDirectory(File illuminaRunDirectory)` Returns the path to the TileMetrics file given the basecalling directory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INTEROP_SUBDIRECTORY_NAME

          public static String INTEROP_SUBDIRECTORY_NAME

      The path to the directory containing the tile metrics file relative to the basecalling directory.

    - #### TILE_METRICS_OUT_FILE_NAME

          public static String TILE_METRICS_OUT_FILE_NAME

      The expected name of the tile metrics output file.

  - ### Constructor Detail

    - #### TileMetricsUtil

          public TileMetricsUtil()

  - ### Method Detail

    - #### renderTileMetricsFileFromBasecallingDirectory

          public static File renderTileMetricsFileFromBasecallingDirectory(File illuminaRunDirectory)

      Returns the path to the TileMetrics file given the basecalling directory.

    - #### parseTileMetrics

          public static Collection<Tile> parseTileMetrics(File tileMetricsOutFile,
                                                          ReadStructure readStructure)
                                                   throws FileNotFoundException

      Returns an unmodifiable collection of tile data read from the provided file. For each tile we will extract: - lane number - tile number - density - cluster ID - Phasing & Prephasing for first template read (if available) - Phasing & Prephasing for second template read (if available)
      Throws:
        `FileNotFoundException`